Products
Create a product
Creates a product.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
Product payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/products" \ -H "Content-Type: application/json" \ -d '{ "name": "Application Performance Monitoring", "code": "nw_apm", "description": "APM bundle for API integration tests.", "price": { "model": "flat", "currency": "USD", "amount": 25000, "interval": { "frequency": 1, "unit": "month" }, "bill_timing": "advance" } }'{
"product": {
"id": "prd_IhMUl3rrZ3",
"name": "Application Performance Monitoring",
"code": "nw_apm",
"status": "active",
"description": "APM bundle for API integration tests.",
"invoice_name": "Application Performance Monitoring",
"created_at": "2025-02-14T17:33:40.843Z",
"interval": {
"frequency": 1,
"unit": "month"
},
"price": {
"model": "flat",
"currency": "USD",
"amount": 25000,
"bill_timing": "advance",
"free_units": 0,
"meter_id": null,
"meter_profile_id": null
}
}
}